Bug 1674243 - SELinux is preventing glusterfs from 'write' accesses on the fifo_file fifo_file.
Summary: SELinux is preventing glusterfs from 'write' accesses on the fifo_file fifo_f...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 29
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lukas Vrabec
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:2947ae4f4b542dd804d7bbf2449...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-02-10 11:40 UTC by info@kobaltwit.be
Modified: 2019-02-18 02:04 UTC (History)
5 users (show)

Fixed In Version: selinux-policy-3.14.2-49.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-18 02:04:06 UTC


Attachments (Terms of Use)

Description info@kobaltwit.be 2019-02-10 11:40:00 UTC
Description of problem:
I have a server exporting glusterfs volumes.

On the client side I have set up automount to mount the gluster volumes on demand.

The entry in /etc/auto.master.d/mynet is:
/mynet      /etc/auto.mynet -g

/etc/auto.mynet contains:
myvol       -fstype=glusterfs       myserver:/myvol
SELinux is preventing glusterfs from 'write' accesses on the fifo_file fifo_file.

*****  Plugin catchall (100. confidence) suggests   **************************

Als je denkt dat glusterfs standaard write toegang moet hebben tot de  fifo_file fifo_file.
Then je moet dit melden als een fout.
Je kunt een locale tactiek module genereren om deze toegang toe te staan.
Do
sta deze toegang nu toe door het uitvoeren van:
# ausearch -c 'glusterfs' --raw | audit2allow -M my-glusterfs
# semodule -X 300 -i my-glusterfs.pp

Additional Information:
Source Context                system_u:system_r:glusterd_t:s0
Target Context                system_u:system_r:automount_t:s0
Target Objects                fifo_file [ fifo_file ]
Source                        glusterfs
Source Path                   glusterfs
Port                          <Onbekend>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.14.2-47.fc29.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Host Name                     (removed)
Platform                      Linux (removed) 4.20.4-200.fc29.x86_64 #1 SMP Wed
                              Jan 23 16:11:28 UTC 2019 x86_64 x86_64
Alert Count                   22
First Seen                    2019-02-09 16:18:12 CET
Last Seen                     2019-02-10 12:33:22 CET
Local ID                      c449f1fd-fb4e-4045-9a05-f5f000eb2c93

Raw Audit Messages
type=AVC msg=audit(1549798402.620:430): avc:  denied  { write } for  pid=32104 comm="glusterfs" path="pipe:[1765622]" dev="pipefs" ino=1765622 scontext=system_u:system_r:glusterd_t:s0 tcontext=system_u:system_r:automount_t:s0 tclass=fifo_file permissive=1


Hash: glusterfs,glusterd_t,automount_t,fifo_file,write

Version-Release number of selected component:
selinux-policy-3.14.2-47.fc29.noarch

Additional info:
component:      selinux-policy
reporter:       libreport-2.9.7
hashmarkername: setroubleshoot
kernel:         4.20.4-200.fc29.x86_64
type:           libreport

Comment 1 Lukas Vrabec 2019-02-11 15:43:04 UTC
commit 8b8ce9b1a026b041163de4ab4ef29e9515dbf541 (HEAD -> rawhide)
Author: Lukas Vrabec <lvrabec@redhat.com>
Date:   Mon Feb 11 16:42:30 2019 +0100

    Allow glusterd_t to write to automount unnamed pipe
    Resolves: rhbz#1674243

Comment 2 Fedora Update System 2019-02-15 07:59:36 UTC
selinux-policy-3.14.2-49.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-7c13db036c

Comment 3 Fedora Update System 2019-02-16 03:05:03 UTC
selinux-policy-3.14.2-49.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-7c13db036c

Comment 4 Fedora Update System 2019-02-18 02:04:06 UTC
selinux-policy-3.14.2-49.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.